Ondersteuning Intel Atom ontbreekt definitief in 10.6.2

14 reacties

Vorige week werd door testers van de bèta versie van Mac OS X 10.6.2 ontdekt dat de ondersteuning voor Intel Atom processors ontbrak in deze build. Op dat moment was nog onduidelijk of deze ondersteuning ook daadwerkelijk zou onderbreken in de definitieve versie van Mac OS X 10.6.2. Met het uitkomen van de 10.6.2 update gisteren is duidelijk geworden dat deze versie definitief geen ondersteuning meer biedt voor Intel Atom processors.

Gebruikers op verschillende ‘Hackintosh’ en netbook forums klagen over veel problemen met 10.6.2 op hun mini-notebooks. Zo blijft het systeem zichzelf alsmaar herstarten nadat de 10.6.2 update is uitgevoerd. Het wordt dan ook sterk aangeraden om de update niet te installeren als je Mac OS X Snow Leopard hebt draaien op je netbook.

Naar verwachting zal er binnen bepaalde tijd een update komen vanuit de Hackintosh community, waardoor Mac OS X 10.6.2 toch gewoon geïnstalleerd kan worden op netbooks. Deze update zal vermoedelijk de kernel van Mac OS X aanpassen. We kunnen ons dus alvast opmaken voor een kat-en-muisspel tussen Apple en de Hackintosh Community. Gelukkig heeft Apple hier al wat ervaring mee…

Reacties

14 reacties
  • Profielfoto
    computer space

    “Ontbreken van Atom support” blijft een onjuiste benoeming van het “probleem”. Het gaat namelijk om het toevoegen van SSE 4.1 code in OS X. Ben dus benieuwd wat Snoleo 10.6.2 in de 4e versnelling heeft gezet door SSE4.1 instructies te benutten. Iemand een idee?

    Betekent overigens ook dat eerste generatie Intel MacMini’s met CoreSolo en witte iMacs, eerste gen MacBooks met CoreDuo niet meer werken! Die kunnen ook niet overweg met SSE 4.1 instructies.

    “Unlike all previous iterations of SSE, SSE4 contains instructions that execute operations which are not specific to multimedia applications. It features a number of instructions whose action is determined by a constant field and a set of instructions that take XMM0 as an implicit third operand.”

  • Profielfoto
    saewer

    En daar begint Apple aan kat en muis spel 2

  • Profielfoto
    KarelWillem

    Wacht maar geduldig af.
    Vanmiddag is dit kleine ‘probleempje’ waarschijnlijk al opgelost. ;)

    Na een update zou het terugzetten van de oude kernel van 10.6.1. al voldoende zijn om de boel weer draaiend te krijgen.

  • Profielfoto
    Aussie

    Vraag is natuurlijk of dit bewust is gedaan om het Netbook gebruik te elimineren, dat lijkt me stug want dan kunnen ze bezig blijven. Als volgende doel de EFI piraten?

    M’n MSI’tje dan maar even niet updaten en wachten op een gehackte kernel

  • Profielfoto
    marinusvw

    @computer space; De CoreSolo’s en CoreDuo’s zijn niet dezelfde processors als de Atom processors… Dus hebben de MacMini’s e.d. geen probleem.

  • Profielfoto
    Marius1976

    @marinusvw

    Jullie hebben het over verschillende zaken. Computer Space beweert (interessante post trouwens!) dat het niet zozeer de Atom processor is die al of niet meer wordt ondersteund, maar dat het om SSE 4.1 code gaat.

    Dus volgens computer space zit er SSE 4.1 code in SL 10.6.2 en kan 10.6.2 dus op geen enkele CPU draaien die geen SSE 4.1 code snapt.

    ’t Is alleen maar de vraag of die redenatie klopt. Waarschijnlijk is die SSE 4.1 code niet nodig, en zit er een check in dat wanneer de CPU die code niet ondersteunt, dat SL gewoon toch werkt. Vergelijkbaar is dat op een intel CPU die geen SSE3 kan, maar wel SSE2, dat je daar bijvoorbeeld toch Tiger op kan installeren, maar dan geen gebruik van Rosetta kan maken.

  • Profielfoto
    Kobes

    @Marius1976
    Als het zo’n interessant artikel is, zou je dan een linkje willen plaatsen, ik ben zeer benieuwd! Tx!

  • Profielfoto
    oldsmelly

    Dus ze zijn illegaal OSX op een Atom aan het zetten en dan nog het lef hebben te klagen dat het niet (meer) werkt…. moet niet gekker worden…

  • Profielfoto
    R-Flow

    @computer space
    Het is al bekend dat Core Duo Macs uit 2006 gewoon door v10.6.2 ondersteund worden. Screen shots staan in de v10.6.2 thread op MacRumors.:)

  • Profielfoto
    KarelWillem

    10.6.2 draait i.d.d gewoon al lekker op i.i.g. de MSI Wind.

    http://insanelywind.com/forum/viewtopic.php?f=11&t=418

  • Profielfoto
    ctxppc

    Ze zullen Atom weer ondersteunen vanaf de versie die de mogelijke Tablet zal gebruiken… ???

  • Profielfoto
    Marius1976

    @Kobes

    Zoals je kunt lezen schrijf ik dat ik de bijdrage van computer space een interessante post vind. Ik verwijs niet naar een of ander artikel. Dus geen links. Helaas.

  • Profielfoto
    KarelWillem

    Anyway. Zo zie je maar weer hoe een paar woordjes snel geciteerd worden.

    Het is helemaal niet zo zo dat de Atom niet meer ondersteund wordt.

    En zoals jullie in de link hierboven kunnen zien, draait 10.6.2 gewoon op een Atom.